OWLAPI3Ontology (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontowrap.owlapi30
Class OWLAPI3Ontology

    java.lang.Object
      fr.inrialpes.exmo.ontowrap.BasicOntology<org.semanticweb.owlapi.model.OWLOntology>
          fr.inrialpes.exmo.ontowrap.owlapi30.OWLAPI3Ontology

All Implemented Interfaces:
  HeavyLoadedOntology<org.semanticweb.owlapi.model.OWLOntology>, LoadedOntology<org.semanticweb.owlapi.model.OWLOntology>, Ontology<org.semanticweb.owlapi.model.OWLOntology>

    public class OWLAPI3Ontology

extends BasicOntology<org.semanticweb.owlapi.model.OWLOntology>
implements HeavyLoadedOntology<org.semanticweb.owlapi.model.OWLOntology>

Field Summary
`(package private) int` | `nbentities`

Fields inherited from class fr.inrialpes.exmo.ontowrap.BasicOntology
`file, formalism, formalismURI, onto, uri`

Constructor Summary
`OWLAPI3Ontology()`

Method Summary
`boolean` | `getCapabilities(int Direct, int Asserted, int Named)`
`Set<? extends Object>` | `getClasses()`
`Set<Object>` | `getClasses(Object i, int local, int asserted, int named)`
`Set<? extends Object>` | `getDataProperties()`
`Set<Object>` | `getDataProperties(Object c, int local, int asserted, int named)`
`Set<Object>` | `getDomain(Object p, int asserted)`
`Set<? extends Object>` | `getEntities()` Returns all named entities having URI beginning with the ontology URI
`Object` | `getEntity(URI u)`
`Set<String>` | `getEntityAnnotations(Object o)` Returns all the values of the "owl:AnnotationProperty" property for a given entity.
`Set<String>` | `getEntityAnnotations(Object o, String lang)` Returns all the values of the "owl:AnnotationProperty" property for a given entity expressed in the required language.
`protected Set<String>` | `getEntityAnnotations(Object o, URI type, String lang)` type and lang can be null
`Set<String>` | `getEntityComments(Object o)` Returns all the values of textual properties (e.g., "rdfs:comment", rdfs:label in RDFS/OWL) for a given entity
`Set<String>` | `getEntityComments(Object o, String lang)` Returns the values ofof textual properties (e.g., "rdfs:comment", rdfs:label in RDFS/OWL) for a given entity and for a given natural language (attribute xml:lang).
`String` | `getEntityName(Object o)` returns the default name of an entity if specified.
`String` | `getEntityName(Object o, String lang)` returns the default name of an entity in a language (attribute xml:lang) if specified.
`Set<String>` | `getEntityNames(Object o)` Returns all the names a given entity (e.g., rdfs:labels in OWL/RDFS).
`Set<String>` | `getEntityNames(Object o, String lang)` returns all the names of an entity in a language if specified.
`URI` | `getEntityURI(Object o)`
`Set<? extends Object>` | `getIndividuals()`
`private Set<Object>` | `getInheritedProperties(org.semanticweb.owlapi.model.OWLClass cl)`
`Set<Object>` | `getInstances(Object cl, int local, int asserted, int named)`
`Set<? extends Object>` | `getObjectProperties()`
`Set<Object>` | `getObjectProperties(Object c, int local, int asserted, int named)`
`Set<? extends Object>` | `getProperties()`
`Set<Object>` | `getProperties(Object cl, int local, int asserted, int named)`
`void` | `getProperties(org.semanticweb.owlapi.model.OWLClassExpression desc, Set<Object> list, Set<Object> visited)`
`void` | `getProperties(org.semanticweb.owlapi.model.OWLClass cl, Set<Object> list, Set<Object> visited)`
`void` | `getProperties(org.semanticweb.owlapi.model.OWLNaryBooleanClassExpression d, Set<Object> list, Set<Object> visited)`
`void` | `getProperties(org.semanticweb.owlapi.model.OWLRestriction rest, Set<Object> list, Set<Object> visited)`
`Set<Object>` | `getRange(Object p, int asserted)`
`Set<Object>` | `getSubClasses(Object cl, int local, int asserted, int named)`
`Set<Object>` | `getSubProperties(Object pr, int local, int asserted, int named)`
`Set<Object>` | `getSuperClasses(Object cl, int local, int asserted, int named)`
`Set<Object>` | `getSuperProperties(Object pr, int local, int asserted, int named)`
`boolean` | `isClass(Object o)`
`boolean` | `isDataProperty(Object o)`
`boolean` | `isEntity(Object o)`
`boolean` | `isIndividual(Object o)`
`boolean` | `isObjectProperty(Object o)`
`boolean` | `isProperty(Object o)`
`int` | `nbClasses()`
`int` | `nbDataProperties()`
`int` | `nbEntities()`
`int` | `nbIndividuals()`
`int` | `nbObjectProperties()`
`int` | `nbProperties()`
`void` | `unload()`

Methods inherited from class fr.inrialpes.exmo.ontowrap.BasicOntology
`getFile, getFormalism, getFormURI, getFragmentAsLabel, getOntology, getURI, setFile, setFormalism, setFormURI, setOntology, setURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface fr.inrialpes.exmo.ontowrap.Ontology
`getFile, getFormalism, getFormURI, getOntology, getURI, setFile, setFormalism, setFormURI, setOntology, setURI`

Field Detail

### nbentities

    int nbentities

Constructor Detail

### OWLAPI3Ontology

    public OWLAPI3Ontology()

Method Detail

### getClasses

    public Set<? extends Object> getClasses()

  Specified by:
    `getClasses` in interface `LoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`

### getDataProperties

    public Set<? extends Object> getDataProperties()

  Specified by:
    `getDataProperties` in interface `LoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`

### getEntities

    public Set<? extends Object> getEntities()

  Description copied from interface: `LoadedOntology`
  Returns all named entities having URI beginning with the ontology URI

  Specified by:
    `getEntities` in interface `LoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`
  Returns:
    the set of entities

### getEntity

    public Object getEntity(URI u)
                     throws OntowrapException

  Specified by:
    `getEntity` in interface `LoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`
  Throws:
    `OntowrapException`

### getEntityAnnotations

    protected Set<String> getEntityAnnotations(Object o,
                                               URI type,
                                               String lang)

  type and lang can be null

### getEntityAnnotations

    public Set<String> getEntityAnnotations(Object o)
                                     throws OntowrapException

  Description copied from interface: `LoadedOntology`
  Returns all the values of the "owl:AnnotationProperty" property for a given entity. These annotations are those predefined in owl (owl:versionInfo, rdfs:label, rdfs:comment, rdfs:seeAlso and rdfs:isDefinedBy) but also all other defined annotation properties which are subClass of "owl:AnnotationProperty"

  Specified by:
    `getEntityAnnotations` in interface `LoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`
  Parameters:
    `o` - the entity
  Returns:
    the set of annotation values
  Throws:
    `OntowrapException`

### getEntityAnnotations

    public Set<String> getEntityAnnotations(Object o,
                                            String lang)
                                     throws OntowrapException

  Description copied from interface: `LoadedOntology`
  Returns all the values of the "owl:AnnotationProperty" property for a given entity expressed in the required language. These annotations are those predefined in owl (owl:versionInfo, rdfs:label, rdfs:comment, rdfs:seeAlso and rdfs:isDefinedBy) but also all other defined annotation properties which are subClass of "owl:AnnotationProperty"

  Specified by:
    `getEntityAnnotations` in interface `LoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`
  Parameters:
    `o` - the entity
    `lang` - the code of the language ("en", "fr", "es", etc.)
  Returns:
    the set of annotation values
  Throws:
    `OntowrapException`

### getEntityComments

    public Set<String> getEntityComments(Object o,
                                         String lang)
                                  throws OntowrapException

  Description copied from interface: `LoadedOntology`
  Returns the values ofof textual properties (e.g., "rdfs:comment", rdfs:label in RDFS/OWL) for a given entity and for a given natural language (attribute xml:lang).

  Specified by:
    `getEntityComments` in interface `LoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`
  Parameters:
    `o` - the entity
    `lang` - the code of the language ("en", "fr", "es", etc.)
  Returns:
    the set of comments
  Throws:
    `OntowrapException`

### getEntityComments

    public Set<String> getEntityComments(Object o)
                                  throws OntowrapException

  Description copied from interface: `LoadedOntology`
  Returns all the values of textual properties (e.g., "rdfs:comment", rdfs:label in RDFS/OWL) for a given entity

  Specified by:
    `getEntityComments` in interface `LoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`
  Parameters:
    `o` - the entity
  Returns:
    the set of comments
  Throws:
    `OntowrapException`

### getEntityName

    public String getEntityName(Object o)
                         throws OntowrapException

  Description copied from interface: `LoadedOntology`
  returns the default name of an entity if specified. otherwise, returns one of its names (e.g., "rdfs:label" property values). Which name is returned is unspecified. In case no such official name is given to the entity it is possible to use the entity URI to return its fragment identifier (after the '#') or last fragment (after the last "/" or just before) in this order. Because of its low definiteness, it is not advised to use this primitive and it is better to use other ones (getNames, getComments, getAnnotations).

  Specified by:
    `getEntityName` in interface `LoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`
  Parameters:
    `o` - the entity
  Returns:
    a label
  Throws:
    `OntowrapException`

### getEntityName

    public String getEntityName(Object o,
                                String lang)
                         throws OntowrapException

  Description copied from interface: `LoadedOntology`
  returns the default name of an entity in a language (attribute xml:lang) if specified. Which name is returned is unspecified. otherwise, returns one of its names (e.g., "rdfs:label" property values) otherwise returns the default name (getEntityName) Because of its low definiteness, it is not advised to use this primitive and it is better to use other ones (getNames, getComments, getAnnotations).

  Specified by:
    `getEntityName` in interface `LoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`
  Parameters:
    `o` - the entity
  Returns:
    a label
  Throws:
    `OntowrapException`

### getEntityNames

    public Set<String> getEntityNames(Object o,
                                      String lang)
                               throws OntowrapException

  Description copied from interface: `LoadedOntology`
  returns all the names of an entity in a language if specified. otherwise, returns null

  Specified by:
    `getEntityNames` in interface `LoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`
  Parameters:
    `o` - the entity
    `lang` - the code of the language ("en", "fr", "es", etc.)
  Returns:
    the default name
  Throws:
    `OntowrapException`

### getEntityNames

    public Set<String> getEntityNames(Object o)
                               throws OntowrapException

  Description copied from interface: `LoadedOntology`
  Returns all the names a given entity (e.g., rdfs:labels in OWL/RDFS).

  Specified by:
    `getEntityNames` in interface `LoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`
  Parameters:
    `o` - the entity
  Returns:
    the set of labels
  Throws:
    `OntowrapException`

### getEntityURI

    public URI getEntityURI(Object o)
                     throws OntowrapException

  Specified by:
    `getEntityURI` in interface `LoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`
  Throws:
    `OntowrapException`

### getIndividuals

    public Set<? extends Object> getIndividuals()

  Specified by:
    `getIndividuals` in interface `LoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`

### getObjectProperties

    public Set<? extends Object> getObjectProperties()

  Specified by:
    `getObjectProperties` in interface `LoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`

### getProperties

    public Set<? extends Object> getProperties()

  Specified by:
    `getProperties` in interface `LoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`

### isClass

    public boolean isClass(Object o)

  Specified by:
    `isClass` in interface `LoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`

### isDataProperty

    public boolean isDataProperty(Object o)

  Specified by:
    `isDataProperty` in interface `LoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`

### isEntity

    public boolean isEntity(Object o)

  Specified by:
    `isEntity` in interface `LoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`

### isIndividual

    public boolean isIndividual(Object o)

  Specified by:
    `isIndividual` in interface `LoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`

### isObjectProperty

    public boolean isObjectProperty(Object o)

  Specified by:
    `isObjectProperty` in interface `LoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`

### isProperty

    public boolean isProperty(Object o)

  Specified by:
    `isProperty` in interface `LoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`

### nbClasses

    public int nbClasses()

  Specified by:
    `nbClasses` in interface `LoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`

### nbDataProperties

    public int nbDataProperties()

  Specified by:
    `nbDataProperties` in interface `LoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`

### nbIndividuals

    public int nbIndividuals()

  Specified by:
    `nbIndividuals` in interface `LoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`

### nbObjectProperties

    public int nbObjectProperties()

  Specified by:
    `nbObjectProperties` in interface `LoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`

### nbProperties

    public int nbProperties()

  Specified by:
    `nbProperties` in interface `LoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`

### nbEntities

    public int nbEntities()

  Specified by:
    `nbEntities` in interface `LoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`

### getCapabilities

    public boolean getCapabilities(int Direct,
                                   int Asserted,
                                   int Named)

  Specified by:
    `getCapabilities` in interface `HeavyLoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`

### getSubClasses

    public Set<Object> getSubClasses(Object cl,
                                     int local,
                                     int asserted,
                                     int named)

  Specified by:
    `getSubClasses` in interface `HeavyLoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`

### getSuperClasses

    public Set<Object> getSuperClasses(Object cl,
                                       int local,
                                       int asserted,
                                       int named)

  Specified by:
    `getSuperClasses` in interface `HeavyLoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`

### getProperties

    public Set<Object> getProperties(Object cl,
                                     int local,
                                     int asserted,
                                     int named)

  Specified by:
    `getProperties` in interface `HeavyLoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`

### getDataProperties

    public Set<Object> getDataProperties(Object c,
                                         int local,
                                         int asserted,
                                         int named)

  Specified by:
    `getDataProperties` in interface `HeavyLoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`

### getObjectProperties

    public Set<Object> getObjectProperties(Object c,
                                           int local,
                                           int asserted,
                                           int named)

  Specified by:
    `getObjectProperties` in interface `HeavyLoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`

### getInstances

    public Set<Object> getInstances(Object cl,
                                    int local,
                                    int asserted,
                                    int named)

  Specified by:
    `getInstances` in interface `HeavyLoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`

### getSubProperties

    public Set<Object> getSubProperties(Object pr,
                                        int local,
                                        int asserted,
                                        int named)

  Specified by:
    `getSubProperties` in interface `HeavyLoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`

### getSuperProperties

    public Set<Object> getSuperProperties(Object pr,
                                          int local,
                                          int asserted,
                                          int named)

  Specified by:
    `getSuperProperties` in interface `HeavyLoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`

### getRange

    public Set<Object> getRange(Object p,
                                int asserted)

  Specified by:
    `getRange` in interface `HeavyLoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`

### getDomain

    public Set<Object> getDomain(Object p,
                                 int asserted)

  Specified by:
    `getDomain` in interface `HeavyLoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`

### getClasses

    public Set<Object> getClasses(Object i,
                                  int local,
                                  int asserted,
                                  int named)

  Specified by:
    `getClasses` in interface `HeavyLoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`

### getInheritedProperties

    private Set<Object> getInheritedProperties(org.semanticweb.owlapi.model.OWLClass cl)

### getProperties

    public void getProperties(org.semanticweb.owlapi.model.OWLClassExpression desc,
                              Set<Object> list,
                              Set<Object> visited)
                       throws org.semanticweb.owlapi.model.OWLException

  Throws:
    `org.semanticweb.owlapi.model.OWLException`

### getProperties

    public void getProperties(org.semanticweb.owlapi.model.OWLRestriction rest,
                              Set<Object> list,
                              Set<Object> visited)
                       throws org.semanticweb.owlapi.model.OWLException

  Throws:
    `org.semanticweb.owlapi.model.OWLException`

### getProperties

    public void getProperties(org.semanticweb.owlapi.model.OWLNaryBooleanClassExpression d,
                              Set<Object> list,
                              Set<Object> visited)
                       throws org.semanticweb.owlapi.model.OWLException

  Throws:
    `org.semanticweb.owlapi.model.OWLException`

### getProperties

    public void getProperties(org.semanticweb.owlapi.model.OWLClass cl,
                              Set<Object> list,
                              Set<Object> visited)
                       throws org.semanticweb.owlapi.model.OWLException

  Throws:
    `org.semanticweb.owlapi.model.OWLException`

### unload

    public void unload()

  Specified by:
    `unload` in interface `LoadedOntology<org.semanticweb.owlapi.model.OWLOntology>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010